Tumbleweeds NVIDIA GFXG04 kernel driver currently not compatible with kernel

After running the lastest update, my system does not start x-server. Problem seems to be that tumbleweeds NVIDIA GFXG04 kernel driver (6.3.1) is currently not compatible with kernel (6.3.2). I encounter this kind of problems once every few months. That’s really annoying!

Is there an repository, with which I can downgrade the kernel to 6.3.1?

Is there another solution for my current problem?

Is there a general solution, let’s say a dependency rule between kernel driver and kernel version?

The current Tumbleweed kernel is 6.3.4. Did you try to update?

Works just fine here:

ich@alterpc:/mnt/daten_alterpc> uname -r
6.3.4-1-default
ich@alterpc:/mnt/daten_alterpc> 

ich@alterpc:/mnt/daten_alterpc> rpm -qa | grep nvidia
x11-video-nvidiaG04-32bit-390.157-25.1.x86_64
kernel-firmware-nvidia-20230517-1.1.noarch
x11-video-nvidiaG04-390.157-25.1.x86_64
nvidia-computeG04-390.157-25.1.x86_64
nvidia-computeG04-32bit-390.157-25.1.x86_64
nvidia-glG04-32bit-390.157-25.1.x86_64
nvidia-glG04-390.157-25.1.x86_64
nvidia-gfxG04-kmp-default-390.157_k6.3.1_1-25.1.x86_64
ich@alterpc:/mnt/daten_alterpc> 



I did not update the kernel to 6.3.4 as even the kernel 6.3.2 is not compatible with NVIDIAs kernel driver 6.3.1. I don’t want make the problem even bigger… Is there a known problem in the combination of these two packages?

nvidia-gfxG04-kmp-default: 390.157_k6.3.1_1-25.1
kernel-default: 6.3.2-1.1

What ever the cause of the problem has been, by installing the latest kernel it disappeared. Thanks.